# preg_grep

(PHP 4, PHP 5, PHP 7)

preg_grep — Return array entries that match the pattern

### Description

preg_grep ( string `$pattern` , array `$input` [, int `$flags` = 0 ] ) : array

Returns the array consisting of the elements of the `input` array that match the given `pattern`.

### Parameters

`pattern`

  The pattern to search for, as a string.

`input`

  The input array.

`flags`

  If set to `PREG_GREP_INVERT`, this function returns the elements of the input array that do not match the given `pattern`.

### Return Values

Returns an array indexed using the keys from the `input` array.

### Examples

Example #1 preg_grep() example

`<?php
// return all array elements
// containing floating point numbers
$fl_array = preg_grep("/^(\d+)?\.\d+$/", $array);
?>`

### See Also

- PCRE Patterns
- preg_quote() - Quote regular expression characters
- preg_match_all() - Perform a global regular expression match
- preg_filter() - Perform a regular expression search and replace
- preg_last_error() - Returns the error code of the last PCRE regex execution